Subject: Re: [multipathtcp] IPsec multihoming and mobility

From: Daniel Migault <[email-masked]>
Date: Thu, 5 Nov 2009 15:48:56 +0100

Hi Michael,

Thanks for your comment, I appreciate your feed back.

Sections of the requirements draft on SCTP, SHIM6 should be filled, and I
will mention RFC3554 in the SCTP section.

In both drafts we consider only IKEv2, so I don't think RFC3554 is really
relevant. I am not an expert on IKEv1, but it looks that features introduced
by RFC3554 are not longer necessary since with IKEv2 since IKEv2 provides
the ability to negotiate multiple Traffic Selector, and TS are not
associated to the ID Payload anymore.

On the other hand IKEv2 or IKEv1 and RFC3554 does not  enable to modify the
Traffic Selectors of the Security Association. And this is one of the thing
we address in the drafts.

Regards,

Daniel

On Wed, Oct 21, 2009 at 3:44 PM, Michael Tüxen <
[email-masked]> wrote:

> Hi Daniel,
>
> have you looked at
> http://www.ietf.org/rfc/rfc3554.txt
>
> Best regards
> Michael
>
>
> On Oct 21, 2009, at 10:29 AM, Daniel Migault wrote:
>
>  Hi folks,
>>
>> We are currently working on IPsec issues and multihoming. Here are our
>> starting work with a presentation of scenarios and requirements we address,
>> as well as the design of an extension to MOBIKE.
>>
>> Scenarios and Requirements :
>> http://tools.ietf.org/html/draft-mglt-ipsec-mm-requirements-00
>>
>> Protocol Design :
>> http://tools.ietf.org/html/draft-mglt-ipsec-mm-mobikex-00
>>
>> We are currently working implementing it, and looking on how other
>> multihoming protocol can benefit from it.
>>
>> Feed backs  and comments are really appreciated.
>>
>> Regards,
>>
>> Daniel
>>
>>
>> --
>> Daniel Migault
>> Orange Labs -- Security
>> +33 6 70 72 69 58
>> _______________________________________________
>> multipathtcp mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/multipathtcp
>>
>
>

-- 
Daniel Migault
Orange Labs -- Security
+33 6 70 72 69 58